LibreOffice LibreOffice 25.8 SDK C/C++ API Reference

Loading...
Searching...
No Matches
cppu::WeakAggComponentImplHelper1< Ifc1 > Class Template Reference

Implementation helper supporting css::lang::XTypeProvider and css::lang::XComponent. More...

`#include <compbase1.hxx>`

Inheritance diagram for cppu::WeakAggComponentImplHelper1< Ifc1 >:

## Public Member Functions
| WeakAggComponentImplHelper1 (::osl::Mutex &rMutex) SAL_NOEXCEPT
virtual css::uno::Any | queryInterface (css::uno::Type const &rType) SAL_OVERRIDE
virtual css::uno::Any | queryAggregation (css::uno::Type const &rType) SAL_OVERRIDE
virtual void | acquire () SAL_NOEXCEPT SAL_OVERRIDE
virtual void | release () SAL_NOEXCEPT SAL_OVERRIDE
virtual css::uno::Sequence< css::uno::Type > | getTypes () SAL_OVERRIDE
virtual css::uno::Sequence< sal_Int8 > | getImplementationId () SAL_OVERRIDE

## Detailed Description

template<class Ifc1>
class cppu::WeakAggComponentImplHelper1< Ifc1 >

Implementation helper supporting css::lang::XTypeProvider and css::lang::XComponent.

Upon disposing objects of this class, sub-classes receive a disposing() call. Objects of this class can be held weakly, i.e. by a css::uno::WeakReference. Object of this class can be aggregated, i.e. incoming queryInterface() calls are delegated.

Attention
  The life-cycle of the passed mutex reference has to be longer than objects of this class.

Derive:
  Inherit from this class giving your interface(s) to be implemented as template argument(s). Your sub class defines method implementations for these interface(s).

Deprecated

## Constructor & Destructor Documentation

## ◆ WeakAggComponentImplHelper1()

template<class Ifc1>

cppu::WeakAggComponentImplHelper1< Ifc1 >::WeakAggComponentImplHelper1 | ( | ::osl::Mutex & | rMutex | ) |
| inline

## Member Function Documentation

## ◆ acquire()

template<class Ifc1>

virtual void cppu::WeakAggComponentImplHelper1< Ifc1 >::acquire | ( |  | ) |
| inline virtual

## ◆ getImplementationId()

template<class Ifc1>

virtual css::uno::Sequence< sal_Int8 > cppu::WeakAggComponentImplHelper1< Ifc1 >::getImplementationId | ( |  | ) |
| inline virtual

## ◆ getTypes()

template<class Ifc1>

virtual css::uno::Sequence< css::uno::Type > cppu::WeakAggComponentImplHelper1< Ifc1 >::getTypes | ( |  | ) |
| inline virtual

## ◆ queryAggregation()

template<class Ifc1>

virtual css::uno::Any cppu::WeakAggComponentImplHelper1< Ifc1 >::queryAggregation | ( | css::uno::Type const & | rType | ) |
| inline virtual

## ◆ queryInterface()

template<class Ifc1>

virtual css::uno::Any cppu::WeakAggComponentImplHelper1< Ifc1 >::queryInterface | ( | css::uno::Type const & | rType | ) |
| inline virtual

## ◆ release()

template<class Ifc1>

virtual void cppu::WeakAggComponentImplHelper1< Ifc1 >::release | ( |  | ) |
| inline virtual

The documentation for this class was generated from the following file:

- cppuhelper/compbase1.hxx